%define module	sphinx_rtd_theme

Name:		python-%{module}
Version:	0.1.9
Release:	%mkrel 1
Summary:	Sphinx theme for readthedocs.org
Group:		Development/Python
License:	MIT
URL:		https://github.com/snide/sphinx_rtd_theme
Source0:	https://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
This is a prototype mobile-friendly sphinx theme for readthedocs.org.
It's currently in development and includes some rtd variable checks that
can be ignored if you're just trying to use it on your project outside
of that site.

%package -n	python3-%{module}
Summary:	Sphinx theme for readthedocs.org
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
This is a prototype mobile-friendly sphinx theme for readthedocs.org.
It's currently in development and includes some rtd variable checks that
can be ignored if you're just trying to use it on your project outside
of that site.
This is the Python 3 build of %{module}.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir} 

%build
%py2_build

pushd %{py3dir} 
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd
 
%files
%doc README.rst LICENSE
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst LICENSE
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Nov 25 2015 daviddavid <daviddavid> 0.1.9-1.mga6
+ Revision: 905886
- new version: 0.1.9

* Wed Oct 07 2015 daviddavid <daviddavid> 0.1.8-2.mga6
+ Revision: 886869
- rebuild for python 3.5
- use new python macros

* Thu Jul 16 2015 daviddavid <daviddavid> 0.1.8-1.mga6
+ Revision: 854595
- imported package python-sphinx_rtd_theme (based on Fedora)


* Thu Jul  3 2014 Jerry James <loganjerry@gmail.com> - 0.1.6-1
- Initial RPM
